package com.base.track.model.enums;

public enum PayloadTypeEnums {

    CCD(1, "CCD", "可见光\\微光"),
    IRS(1, "IRS", "红外"),
    MICROWAVE(3, "MICROWAVE", "微波"),
    SAR(4, "SAR", "雷达"),
    OCCULTATION(5, "OCCULTATION", "掩星"),
    ELECTRON(6, "ELECTRON", "电子");

    private Integer payloadType;
    private String payloadValue;
    private String payloadName;

    PayloadTypeEnums(Integer payloadType, String payloadValue, String payloadName) {
        this.payloadType = payloadType;
        this.payloadValue = payloadValue;
        this.payloadName = payloadName;
    }

    public Integer getPayloadType() {
        return payloadType;
    }

    public void setPayloadType(Integer payloadType) {
        this.payloadType = payloadType;
    }

    public String getPayloadValue() {
        return payloadValue;
    }

    public void setPayloadValue(String payloadValue) {
        this.payloadValue = payloadValue;
    }

    public void setPayloadName(String payloadName) {
        this.payloadName = payloadName;
    }

    public String getPayloadName() {
        return payloadName;
    }

    public static PayloadTypeEnums getPayloadTypeEnumsByVal(String payloadValue) {
        for (PayloadTypeEnums value : values()) {
            if (value.getPayloadValue().equals(payloadValue)) return value;
        }
        return null;
    }

}
